'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
// DOM variant of insert-style
// insertStyle, { getStyle, removeStyle }


var getStyle = exports.getStyle = function getStyle(elm) {
  if ('styleSheet' in elm && 'cssText' in elm.styleSheet) {
    return elm.styleSheet.cssText; // IE8
  }

  return elm.textContent;
};

var removeStyle = exports.removeStyle = function removeStyle(elm) {
  return elm.parentNode.removeChild(elm);
};

var insertStyle = function insertStyle(css) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var elm = options.element || document.createElement('style');
  elm.setAttribute('type', 'text/css');

  if ('styleSheet' in elm && 'cssText' in elm.styleSheet) {
    elm.styleSheet.cssText = css; // IE8
  } else {
    elm.textContent = css;
  }

  if (!options.element) {
    var head = document.getElementsByTagName('head')[0];
    if (options && options.prepend) {
      head.insertBefore(elm, head.childNodes[0]);
    } else {
      head.appendChild(elm);
    }
  }

  return elm;
};

exports.default = insertStyle;