'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeStyle = exports.getStyle = undefined;

var _server = require('./server');

var _server2 = _interopRequireDefault(_server);

var _dom = require('./dom');

var _dom2 = _interopRequireDefault(_dom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Depending on environment, we return the proper
// DOM or Node-based version of 'insert-style'
// insertStyle, { getStyle, removeStyle }

var isServer = typeof document === 'undefined';

var getStyle = isServer ? _server.getStyle : _dom.getStyle;
var removeStyle = isServer ? _server.removeStyle : _dom.removeStyle;
var insertStyle = isServer ? _server2.default : _dom2.default;

exports.getStyle = getStyle;
exports.removeStyle = removeStyle;
exports.default = insertStyle;