'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeStyle = exports.getStyle = undefined;

var _from = require('babel-runtime/core-js/array/from');

var _from2 = _interopRequireDefault(_from);

var _map = require('babel-runtime/core-js/map');

var _map2 = _interopRequireDefault(_map);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Node variant of insert-style
// insertStyle, { getStyle, removeStyle }

var serverStyles = new _map2.default();

var getStyle = exports.getStyle = function getStyle(key) {
  if (key) {
    return serverStyles.get(key);
  }

  return (0, _from2.default)(serverStyles.values()).join('\n');
};

var removeStyle = exports.removeStyle = function removeStyle(key) {
  return serverStyles.delete(key);
};

var insertStyle = function insertStyle(style) {
  return serverStyles.set(style, style);
};
exports.default = insertStyle;